Skip to main content
POST
/
v1
/
customers
/
{id}
/
notes
Create a note for a customer
curl --request POST \
  --url https://dev.flextell.ai/api/v1/customers/{id}/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "user_id": 123
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "content": "<string>",
    "user_id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "author": {
      "id": 123,
      "name": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The customer identifier

Body

application/json
content
string
required

Note content.

Maximum string length: 65535
user_id
integer | null

Author user identifier (optional; defaults to authenticated user).

Response

success
string
required
data
NoteResource · object
required